# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    install_exe_if_needed("wampserver3.1.0_x64.exe",'/DIR="C:\wamp" /VERYSILENT /SUPPRESSMSGBOXES /NORESTART',key='',timeout=360,min_version='3.1.0')
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\services\wampapache64',r'Start',2,type=REG_DWORD)
    registry_set(HKEY_LOCAL_MACHINE,r'SYSTEM\CurrentControlSet\services\wampmysqld64',r'Start',2,type=REG_DWORD)
    remove_desktop_shortcut(r'Wampserver64')
